"use strict";

var _config = require("./config");

var path = require('path');

var webpack = require('webpack');

var fs = require('fs');

var ParallelUglifyPlugin = require('webpack-parallel-uglify-plugin');

module.exports = {
  mode: 'production',
  entry: {
    antd: ['antd'],
    antd3: ['@ant-design']
  },
  output: {
    path: path.resolve(_config.DEFAULT_PATH, "dll"),
    filename: "[name].[chunkHash:8].js",
    library: '_dll_[name]'
  },
  plugins: [new webpack.DllPlugin({
    path: path.resolve(_config.DEFAULT_PATH, "dll/[name].[chunkHash:8].json"),
    name: '_dll_[name]'
  }), // ParallelUglifyPlugin可实现多线程代码压缩
  new ParallelUglifyPlugin({
    cacheDir: '.cache/',
    uglifyJS: {
      output: {
        comments: false
      },
      warnings: false
    }
  })]
};